%bcond_without perl_Test_Base_enables_diff
%bcond_without perl_Test_Base_enables_extra_test
%bcond_without perl_Test_Base_enables_network

Name:           perl-Test-Base
Version:        0.89
Release:    3%{?dist}
Summary:        Data Driven Testing Framework
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Test-Base
Source0:        https://cpan.metacpan.org/authors/id/I/IN/INGY/Test-Base-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.52
%if %{with perl_Test_Base_enables_diff}
BuildRequires:  perl(Algorithm::Diff) >= 1.15
%endif
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(Filter::Util::Call)
%if %{with perl_Test_Base_enables_network}
%endif
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(Scalar::Util) >= 1.07
BuildRequires:  perl(Spiffy) >= 0.40
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::More) >= 0.88
%if %{with perl_Test_Base_enables_diff}
BuildRequires:  perl(Text::Diff) >= 0.35
%endif
BuildRequires:  perl(warnings)
BuildRequires:  perl(YAML)
BuildRequires:  perl(base)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::Tester)
%if %{with perl_Test_Base_enables_extra_test}
BuildRequires:  perl(Test::Pod) >= 1.41
%endif
%if %{with perl_Test_Base_enables_diff}
Requires:       perl(Algorithm::Diff) >= 1.15
%endif
Requires:       perl(Data::Dumper)
Requires:       perl(File::Path)
Requires:       perl(Filter::Util::Call)
%if %{with perl_Test_Base_enables_network}
Requires:       perl(LWP::Simple)
%endif
Requires:       perl(MIME::Base64)
Requires:       perl(Scalar::Util) >= 1.07
Requires:       perl(Test::Deep)
Requires:       perl(Test::More) >= 0.88
%if %{with perl_Test_Base_enables_diff}
Requires:       perl(Text::Diff) >= 0.35
%endif
Requires:       perl(YAML)

%description
Testing is usually the ugly part of Perl module authoring. Perl gives you a
standard way to run tests with Test::Harness, and basic testing primitives
with Test::More. After that you are pretty much on your own to develop a
testing framework and philosophy. Test::More encourages you to make your
own framework by subclassing Test::Builder, but that is not trivial.

Test::Base gives you a way to write your own test framework base class that
*is* trivial.

%prep
%setup -q -n Test-Base-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test %{?with_perl_Test_Base_enables_extra_test:RELEASE_TESTING=1}

%files
%license LICENSE
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Base.3*
%{_mandir}/man3/Test::Base::Filter.3*

%changelog
* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.89-3
- rebuild

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.89-2
- rebuild

* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.89-1
- initial build
